Nimply Developers
API ReferencePosts

Schedule a post

POST
/v1/posts/{id}/schedule

Sets or changes when a draft or scheduled post will publish.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string

Post id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/posts/string/schedule" \  -H "Content-Type: application/json" \  -d '{    "scheduledAt": "2026-08-01T09:00:00.000Z"  }'
{  "id": "123e4567-e89b-12d3-a456-426614174000",  "channelId": "123e4567-e89b-12d3-a456-426614174000",  "content": "Launching something new today 🚀",  "title": null,  "contentType": "POST",  "status": "SCHEDULED",  "scheduledAt": "2026-08-01T09:00:00.000Z",  "publishedAt": null,  "createdAt": "2026-07-05T10:00:00.000Z",  "mediaIds": [    "string"  ]}
Empty